Name:           perl-WWW-Mechanize-Chrome
Version:        0.72
Release:        1%{?dist}
Summary:        Automate the Chrome browser
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            http://search.cpan.org/dist/WWW-Mechanize-Chrome/
Source0:        http://www.cpan.org/authors/id/C/CO/CORION/WWW-Mechanize-Chrome-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make perl-interpreter perl-generators
BuildRequires:  perl(Algorithm::Loops)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dump)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter) >= 5
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Future) >= 0.35
BuildRequires:  perl(Future::HTTP) >= 0.06
BuildRequires:  perl(HTML::Selector::XPath)
BuildRequires:  perl(HTTP::Cookies)
BuildRequires:  perl(HTTP::Headers)
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(Image::Info)
BuildRequires:  perl(Imager)
BuildRequires:  perl(Imager::File::PNG)
BuildRequires:  perl(IO::Async)
BuildRequires:  perl(IO::Socket::INET)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(JSON)
BuildRequires:  perl(Log::Log4perl)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(Moo) >= 2
BuildRequires:  perl(MooX::Role::EventEmitter)
BuildRequires:  perl(Net::Async::WebSocket::Client) >= 0.12
BuildRequires:  perl(Object::Import)
BuildRequires:  perl(PerlX::Maybe)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Storable)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::HTTP::LocalServer) >= 0.71
BuildRequires:  perl(Test::Memory::Cycle)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Without::Module)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::file)
BuildRequires:  perl(URI::ws)
BuildRequires:  perl(WWW::Mechanize::Link)
%if %{?_with_network_tests}0
BuildRequires:  xorg-x11-server-Xvfb
BuildRequires:  font(:lang=en)
BuildRequires:  google-chrome-stable
%endif

%description
Like WWW::Mechanize, this module automates web browsing with a Perl object.
Fetching and rendering of web pages is delegated to the Chrome (or
Chromium) browser by starting an instance of the browser and controlling it
with Chrome DevTools.

%prep
%setup -q -n WWW-Mechanize-Chrome-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
%if %{?_with_network_tests}0
    xvfb-run -d make test
%endif

%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Nov 25 2023 Chris Adams <linux@cmadams.net> 0.72-1
- initial package
